LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Classes | Namespaces
weakref.hxx File Reference
`#include "sal/config.h"`
`#include <cstddef>`
`#include "com/sun/star/uno/Reference.hxx"`
`#include "com/sun/star/uno/XInterface.hpp"`
`#include "cppuhelper/cppuhelperdllapi.h"`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::WeakReferenceHelper
| The WeakReferenceHelper holds a weak reference to an object. More...
class | com::sun::star::uno::WeakReference< interface_type >
| The WeakReference<> holds a weak reference to an object. More...

## Namespaces
| com
| com::sun
| com::sun::star
| com::sun::star::uno